N/M · RFC
N/M RFC archive
Explore the design decisions, proposals and technical limits of the N/M language.
RFCs record designs and changes. A proposal appearing here does not mean its feature is ready to use.
Explore current language support28 documents
- NM-RFC-0001
Module visibility
Read RFC - NM-RFC-0002
Exact and namespaced imports
Read RFC - NM-RFC-0003
Deterministic property assertions
Read RFC - NM-RFC-0004
QML validation and training controls
Read RFC - NM-RFC-0005
Typed classical values
Read RFC - NM-RFC-0006
Target capability constraints
Read RFC - NM-RFC-0007
Typed function results and program errors
Read RFC - NM-RFC-0008
Versioned quantum job API
Read RFC - NM-RFC-0009
Durable QML training checkpoints
Read RFC - NM-RFC-0010
Typed oracles and generic algorithms
Read RFC - NM-RFC-0011
Measurement-conditioned classical control
Read RFC - NM-RFC-0012
Typed collection and GF(2) artifacts
Read RFC - NM-RFC-0013
Unified lexical and token frontend
Read RFC - NM-RFC-0014
Compile-time constant expressions
Read RFC - NM-RFC-0015
Generalized compile-time circuit signatures
Read RFC - NM-RFC-0016
QEC experiments and round traces
Read RFC - NM-RFC-0017
Scoped and composed noise profiles
Read RFC - NM-RFC-0018
Density-matrix execution and Kraus channels
Read RFC - NM-RFC-0019
Calibration-aware timing and idle noise
Read RFC - NM-RFC-0027
Distribution and statistical assertions
Read RFC - NM-RFC-0028
Bounded crosstalk noise
Read RFC - NM-RFC-0029
Bounded leakage runtime
Read RFC - NM-RFC-0030
Pulse-aware noise program
Read RFC - NM-RFC-0031
Generic Simon program
Read RFC - NM-RFC-0032
Iterative phase estimation
Read RFC - NM-RFC-0033
Production QPU provider adapter boundary
Read RFC - NM-RFC-0034
Static XOR-to-phase oracle adapters
Read RFC - NM-RFC-0035
Bounded classical functions
Read RFC